## ros-osrf-pycommon 2.1.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/osrf_pycommon.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/osrf_pycommon.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/osrf_pycommon"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/osrf_pycommon"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ros-osrf-pycommon 2.1.0

=== debian/changelog ===
ros-osrf-pycommon (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 May 2022 10:03:46 +0200

ros-osrf-pycommon (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 11 Apr 2022 07:30:18 +0200

ros-osrf-pycommon (2.0.1-3) unstable; urgency=medium

  * Add Vcs fields

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Mar 2022 08:12:13 +0100

ros-osrf-pycommon (2.0.1-2) unstable; urgency=medium

  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 Mar 2022 21:53:24 +0100

ros-osrf-pycommon (2.0.1-1) unstable; urgency=low

  * Initial package.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 03 Mar 2022 13:14:46 +0100

=== debian/control ===
Source: ros-osrf-pycommon
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Timo Röhling <roehling@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Timon Engelke <debian@timonengelke.de>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13), python3-all, dh-sequence-python3, python3-setuptools
Standards-Version: 4.6.1
Homepage: http://osrf-pycommon.readthedocs.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/robotics-team/ros-osrf-pycommon.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros-osrf-pycommon

Package: python3-osrf-pycommon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Commonly needed Python modules for software developers
 Python package which contains commonly used Python boilerplate code
 and patterns. Things like ansi terminal coloring, capturing colored
 output from programs using subprocess, or even a simple logging system
 which provides some nice functionality over the built-in Python
 logging system.

## ros-osrf-pycommon 2.1.1

=== debian/changelog ===
ros-osrf-pycommon (2.1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 11:50:30 +0100

ros-osrf-pycommon (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Nov 2022 15:03:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,15 @@
            Timon Engelke <debian@timonengelke.de>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13), python3-all, dh-sequence-python3, python3-setuptools
+Build-Depends: debhelper-compat (= 13),
+ python3-all,
+ dh-sequence-python3,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
 Standards-Version: 4.6.1
-Homepage: http://osrf-pycommon.readthedocs.org/
+Homepage: https://osrf-pycommon.readthedocs.org/
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/robotics-team/ros-osrf-pycommon.git
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros-osrf-pycommon
 
@@ -24,4 +28,3 @@
  output from programs using subprocess, or even a simple logging system
  which provides some nice functionality over the built-in Python
  logging system.
-

## ros-osrf-pycommon 2.1.3

=== debian/changelog ===
ros-osrf-pycommon (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 23 Jul 2023 20:18:33 +0200

ros-osrf-pycommon (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 19:24:02 +0200

## ros-osrf-pycommon 2.1.4

=== debian/changelog ===
ros-osrf-pycommon (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4

 -- Timo Röhling <roehling@debian.org>  Mon, 28 Aug 2023 21:42:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-python3,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://osrf-pycommon.readthedocs.org/
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild

## ros-osrf-pycommon 2.1.6

=== debian/changelog ===
ros-osrf-pycommon (2.1.6-1) unstable; urgency=medium

  * New upstream version 2.1.6
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 03 Apr 2025 16:31:56 +0200

## ros-osrf-pycommon 2.1.7

=== debian/changelog ===
ros-osrf-pycommon (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Aug 2025 23:14:58 +0200

=== debian/control ===
Source: ros-osrf-pycommon
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Timo Röhling <roehling@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timon Engelke <debian@timonengelke.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://osrf-pycommon.readthedocs.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/robotics-team/ros-osrf-pycommon.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros-osrf-pycommon

Package: python3-osrf-pycommon
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Commonly needed Python modules for software developers
 Python package which contains commonly used Python boilerplate code
 and patterns. Things like ansi terminal coloring, capturing colored
 output from programs using subprocess, or even a simple logging system
 which provides some nice functionality over the built-in Python
 logging system.

=== debian/rules ===
#!/usr/bin/make -f

# don't run flake8 test. Not useful and does not work in autopkgtest
export PYBUILD_TEST_ARGS=--ignore tests/test_code_format.py

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/osrf/osrf_pycommon/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
